Package io.vertx.pgclient

## Enum SslMode

- java.lang.Object
- - java.lang.Enum<SslMode>
  - - io.vertx.pgclient.SslMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<SslMode>`

      public enum SslMode
      extends Enum<SslMode>

  The different values for the sslmode parameter provide different levels of protection. See more information in Protection Provided in Different Modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOW` | first try a non-SSL connection; if that fails, try an SSL connection.
    `DISABLE` | only try a non-SSL connection.
    `PREFER` | first try an SSL connection; if that fails, try a non-SSL connection.
    `REQUIRE` | only try an SSL connection.
    `VERIFY_CA` | only try an SSL connection, and verify that the server certificate is issued by a trusted certificate authority (CA).
    `VERIFY_FULL` | only try an SSL connection, verify that the server certificate is issued by a trusted CA and that the requested server host name matches that in the certificate.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `value` |
    `static SslMode[]` | `VALUES` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SslMode` | `of​(String value)` |
    `static SslMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SslMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLE

          public static final SslMode DISABLE

      only try a non-SSL connection.

    - #### ALLOW

          public static final SslMode ALLOW

      first try a non-SSL connection; if that fails, try an SSL connection.

    - #### PREFER

          public static final SslMode PREFER

      first try an SSL connection; if that fails, try a non-SSL connection.

    - #### REQUIRE

          public static final SslMode REQUIRE

      only try an SSL connection. If a root CA file is present, verify the certificate in the same way as if verify-ca was specified.

    - #### VERIFY_CA

          public static final SslMode VERIFY_CA

      only try an SSL connection, and verify that the server certificate is issued by a trusted certificate authority (CA).

    - #### VERIFY_FULL

          public static final SslMode VERIFY_FULL

      only try an SSL connection, verify that the server certificate is issued by a trusted CA and that the requested server host name matches that in the certificate.

  - ### Field Detail

    - #### VALUES

          public static final SslMode[] VALUES

    - #### value

          public final String value

  - ### Method Detail

    - #### values

          public static SslMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SslMode c : SslMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SslMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static SslMode of​(String value)